
%global meadversion 2.9.5
%global namedversion 2.9.5.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 2
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jackson-modules-base}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.9.5.redhat-2

Name:           %{?scl_prefix}jackson-modules-base
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson base modules
Group:          Development/Java

%if %with mead
Source100: jackson-modules-base-2.9.5.redhat-2-scm-sources.zip
Source102: jackson-module-guice-2.9.5.redhat-2-sources.jar
Source103: jackson-module-guice-2.9.5.redhat-2.pom
Source104: jackson-module-guice-2.9.5.redhat-2.jar
Source105: jackson-module-guice-2.9.5.redhat-2-javadoc.jar
Source106: jackson-module-afterburner-2.9.5.redhat-2-javadoc.jar
Source107: jackson-module-afterburner-2.9.5.redhat-2.jar
Source108: jackson-module-afterburner-2.9.5.redhat-2.pom
Source109: jackson-module-afterburner-2.9.5.redhat-2-sources.jar
Source110: jackson-modules-base-2.9.5.redhat-2-project-sources.tar.gz
Source111: jackson-modules-base-2.9.5.redhat-2.pom
Source112: jackson-module-paranamer-2.9.5.redhat-2.pom
Source113: jackson-module-paranamer-2.9.5.redhat-2-sources.jar
Source114: jackson-module-paranamer-2.9.5.redhat-2-javadoc.jar
Source115: jackson-module-paranamer-2.9.5.redhat-2.jar
Source116: jackson-module-jaxb-annotations-2.9.5.redhat-2.pom
Source117: jackson-module-jaxb-annotations-2.9.5.redhat-2-sources.jar
Source118: jackson-module-jaxb-annotations-2.9.5.redhat-2.jar
Source119: jackson-module-jaxb-annotations-2.9.5.redhat-2-javadoc.jar
Source120: jackson-module-osgi-2.9.5.redhat-2-javadoc.jar
Source121: jackson-module-osgi-2.9.5.redhat-2.jar
Source122: jackson-module-osgi-2.9.5.redhat-2-sources.jar
Source123: jackson-module-osgi-2.9.5.redhat-2.pom
Source124: jackson-module-mrbean-2.9.5.redhat-2-sources.jar
Source125: jackson-module-mrbean-2.9.5.redhat-2.jar
Source126: jackson-module-mrbean-2.9.5.redhat-2-javadoc.jar
Source127: jackson-module-mrbean-2.9.5.redhat-2.pom
%endif

License:        ASL 2.0
URL:            https://github.com/FasterXML/jackson-modules-base
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Parent pom for Jackson modules that are considered foundational,
building on core databind, but not including datatype or data format
modules, or JAX-RS providers.

%package -n %{?scl_prefix}jackson-module-afterburner
Summary:        Jackson-module-Afterburner
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-afterburner
Dynamic bytecode generation for standard Jackson POJO serializers and
deserializers, eliminating majority of remaining data binding overhead.

%package -n %{?scl_prefix}jackson-module-guice
Summary:        Jackson-module-Guice
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-guice
Add-on module to allow Jackson to delegate ObjectMapper creation and
value injection to Guice when handling data bindings. 

%package -n %{?scl_prefix}jackson-module-jaxb-annotations
Summary:        Jackson-module-JAXB-annotations
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-jaxb-annotations
Support for using JAXB annotations as an alternative to "native" Jackson
annotations, for configuring data binding.

%package -n %{?scl_prefix}jackson-module-mrbean
Summary:        Bean-materializer-for-Jackson
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-mrbean
Support for "POJO type materialization"; ability for databinder to
construct implementation classes for Java interfaces and abstract
classes, as part of deserialization.

%package -n %{?scl_prefix}jackson-module-osgi
Summary:        Jackson-OSGi-injection-module
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-osgi
Add-on module to inject OSGI services into deserialized objects.

%package -n %{?scl_prefix}jackson-module-paranamer
Summary:        Jackson-module-paranamer
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-paranamer
Add-on module to auto-detect names of Creator methods with Paranamer
library.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-modules-base
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-modules-base -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-module-afterburner-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-afterburner-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-afterburner-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-afterburner-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-afterburner-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-afterburner-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-guice-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-guice-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-guice-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-guice-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-guice-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-guice-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-mrbean-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-mrbean-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-mrbean-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-mrbean-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-mrbean-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-mrbean-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-osgi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-module-paranamer-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-paranamer-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-paranamer-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-paranamer-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-paranamer-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-paranamer-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-modules-base-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-modules-base-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-modules-base-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-modules-base-%{namedversion} %{buildroot}%{_javadocdir}/jackson-modules-base
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jackson-module-afterburner
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-module-afterburner-%{namedversion}.jar
%{_javadir}/jackson-module-afterburner.jar
%if %with javadoc
%{_javadir}/jackson-module-afterburner-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-afterburner-javadoc.jar
%endif
%{_javadir}/jackson-module-afterburner-%{namedversion}-sources.jar
%{_javadir}/jackson-module-afterburner-sources.jar

%files -n %{?scl_prefix}jackson-module-guice
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-module-guice-%{namedversion}.jar
%{_javadir}/jackson-module-guice.jar
%if %with javadoc
%{_javadir}/jackson-module-guice-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-guice-javadoc.jar
%endif
%{_javadir}/jackson-module-guice-%{namedversion}-sources.jar
%{_javadir}/jackson-module-guice-sources.jar

%files -n %{?scl_prefix}jackson-module-jaxb-annotations
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}.jar
%{_javadir}/jackson-module-jaxb-annotations.jar
%if %with javadoc
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-jaxb-annotations-javadoc.jar
%endif
%{_javadir}/jackson-module-jaxb-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-module-jaxb-annotations-sources.jar

%files -n %{?scl_prefix}jackson-module-mrbean
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-module-mrbean-%{namedversion}.jar
%{_javadir}/jackson-module-mrbean.jar
%if %with javadoc
%{_javadir}/jackson-module-mrbean-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-mrbean-javadoc.jar
%endif
%{_javadir}/jackson-module-mrbean-%{namedversion}-sources.jar
%{_javadir}/jackson-module-mrbean-sources.jar

%files -n %{?scl_prefix}jackson-module-osgi
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-module-osgi-%{namedversion}.jar
%{_javadir}/jackson-module-osgi.jar
%if %with javadoc
%{_javadir}/jackson-module-osgi-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-osgi-javadoc.jar
%endif
%{_javadir}/jackson-module-osgi-%{namedversion}-sources.jar
%{_javadir}/jackson-module-osgi-sources.jar

%files -n %{?scl_prefix}jackson-module-paranamer
%defattr(0644,root,root,0755)
%doc README.md release-notes/CREDITS-2.x release-notes/VERSION-2.x
%{_javadir}/jackson-module-paranamer-%{namedversion}.jar
%{_javadir}/jackson-module-paranamer.jar
%if %with javadoc
%{_javadir}/jackson-module-paranamer-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-paranamer-javadoc.jar
%endif
%{_javadir}/jackson-module-paranamer-%{namedversion}-sources.jar
%{_javadir}/jackson-module-paranamer-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-modules-base-%{namedversion}
%{_javadocdir}/jackson-modules-base
%endif

%changelog
* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- release 2.9.5.redhat-2

